Name: talkfilters
Version: 2.3.4
Release: alt0.1

Summary: GNU Talk filters

License: GPL
Group: Text tools
Url: http://www.dystance.net/software/talkfilters/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.dystance.net/software/talkfilters/%name-%version.tar.bz2
#Patch: %name-DESTDIR.patch

# manually removed: gcc-g77 hostinfo 
# Automatically added by buildreq on Tue Feb 15 2005
BuildRequires: flex gcc-c++ libstdc++-devel

%description
Set of filters to text processing.

%package -n lib%name
Summary: Library of talkfilters
Group: Development/C
#Requires: lib%name = %version-%release

%description -n lib%name
This package contain header files for libtalkfilters.

%package -n lib%name-devel
Summary: Header files for development with talkfilters
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contain header files for libtalkfilters.

%prep
%setup -q
#%patch -p0
%__subst "s/.*install-data-hook$//" Makefile.in

%build
%configure --disable-static
%make

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install 

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files
%doc README
%_bindir/*
%_mandir/man?/*
%_infodir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%changelog
* Tue Feb 15 2005 Vitaly Lipatov <lav@altlinux.ru> 2.3.4-alt0.1
- first build for ALT Linux Sisyphus
- original spec from PLD Team <feedback@pld-linux.org>
